Check Status File

/document/status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Check signing status using transactionID from eSign request.

Valid values:

ParameterValue
"transactionID""string"
"vendorNumber""string"

Returned statuses:

ValueMeaning
1Pending
User does not made any action yet
2Signed
"isProcessing"= 0 - document/s signed
"isProcessing"=1 - user confirm, system processing
3Rejected
User rejected signing the document
4Expired
Set dateExpire time in request passed with no user action
5Failed
System error
6Withdrawn
Request withdrawn by the sender
7Undeliverable
Request can't go to user after being in 99-On hold
8Failed face recognition
Only if bioRequired=true in the request
99On hold
Not delivered to user. If the document is sent to several users & the previous signature is still pending; User has no registration or registration is not completed.

Returned response:

{"isProcessing": true, "status":0, //"rejectReason":"string",(optional only for if user enetered such in mobile app), //"automatedSignError":"string", //"registerCheck": 0}

Body Params
string
required

{
"transactionID": "string",
"vendorNumber": "string"
}

Headers
string
required

Authorization value.

Responses
200

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json